Bug 30288 - sendmail init script dropps queue processing arg
sendmail init script dropps queue processing arg
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-02 01:54 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 21:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-02 01:54:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22enterprise i686)


Note the use of the 'echo' statements in forming the arg string used to
invoke sendmail:

This is what is distributed with RH6.X... the -q arg is lost:

daemon /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo " -bd ") \
                          $([ -n "$QUEUE" ] && echo -q$QUEUE)


This is my hack which fixes this:

daemon /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo -n " -bd ") \
                          $([ -n "$QUEUE" ] && echo -n -q$QUEUE)

(who wrote this!)

Reproducible: Always
Steps to Reproduce:
1. /etc/rc.d/init.d/sendmail start
2. tail /var/log/maillog
3. observe the startup report for sendmail
	

Actual Results:  maillog.4:Jan 22 20:52:21 gateway sendmail[16197]:
starting daemon
(8.9.3): SMTP

Expected Results:  maillog:Feb 22 10:57:19 gateway sendmail[18610]:
starting daemon
(8.9.3): SMTP+queueing@01:00:00

see my description for my quick fix
Comment 1 Florian La Roche 2001-03-07 02:59:33 EST
$ echo $(echo one) $(echo two)
one two
$

What do you get on your 6.2 installation for this? What shell is used as
/bin/sh?

Comment 2 Need Real Name 2001-03-07 18:46:46 EST
[andrewd@gateway andrewd]$ echo $(echo one) $(echo two)
one two

[andrewd@gateway andrewd]$ rpm -qf /bin/sh
bash-1.14.7-22
Comment 3 Need Real Name 2001-03-12 21:28:39 EST
BTW...

echo `echo one` `echo two`

may be a little more standard for command expansion (works with the solaris
/bin/sh where as $(command) doesn't). Gives the same result.
Comment 4 Florian La Roche 2001-07-23 09:23:38 EDT
$() should work fine with any reasonable shell: bash,pdksh,zsh, so I close
this bug.

Florian La Roche


Note You need to log in before you can comment on or make changes to this bug.